aboutsummaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorceros7 <ceros7@svn>2010-05-16 18:21:40 +0000
committerceros7 <ceros7@svn>2010-05-16 18:21:40 +0000
commit0bb7589f961b10f89beee6afa7866729281fd89d (patch)
tree5d5c917c5b85f3a5dc1991582e422219f5873dfc /tools
parentaf240f3aa87934451eefbe3253102e892e84fe7f (diff)
Guard against case where ulimit may be unsupported by shell.
git-svn-id: https://xbmc.svn.sourceforge.net/svnroot/xbmc/trunk@30232 568bbfeb-2a22-0410-94d2-cc84cf5bfa90
Diffstat (limited to 'tools')
-rwxr-xr-xtools/Linux/xbmc-standalone.sh8
-rw-r--r--tools/Linux/xbmc.sh.in8
2 files changed, 14 insertions, 2 deletions
diff --git a/tools/Linux/xbmc-standalone.sh b/tools/Linux/xbmc-standalone.sh
index 8c7cccc084..28e6b0cb2f 100755
--- a/tools/Linux/xbmc-standalone.sh
+++ b/tools/Linux/xbmc-standalone.sh
@@ -27,7 +27,13 @@ fi
LOOP=1
CRASHCOUNT=0
LASTSUCCESSFULSTART=$(date +%s)
-ulimit -c unlimited
+
+# Output warning in case ulimit is unsupported by shell
+eval ulimit -c unlimited
+if [ ! $? = "0" ]; then
+ echo "xbmc-standalone: ulimit is unsupported by this shell" 1>&2
+fi
+
while [ $(( $LOOP )) = "1" ]
do
$XBMC
diff --git a/tools/Linux/xbmc.sh.in b/tools/Linux/xbmc.sh.in
index 05070a24c3..122fb85a6b 100644
--- a/tools/Linux/xbmc.sh.in
+++ b/tools/Linux/xbmc.sh.in
@@ -101,8 +101,14 @@ python @prefix@/share/xbmc/FEH.py "$SAVED_ARGS"
if [ $? -ne 0 ]; then
exit 0
fi
+
+# Output warning in case ulimit is unsupported by shell
+eval ulimit -c unlimited
+if [ ! $? = "0" ]; then
+ echo "xbmc: ulimit is unsupported by this shell" 1>&2
+fi
+
LOOP=1
-ulimit -c unlimited
while [ $(( $LOOP )) = "1" ]
do
LOOP=0